#
# ADSC Q210r simulation
#

#
# adscConfig(const char *portName, const char *modelName)
#   portName   asyn port name
#   modelName  ADSC detector model name; must be one of "Q4", "Q4r", "Q210",
#              "Q210r", "Q270", "Q315", or "Q315r"
#
adscConfig("ADSC1","Q210r")
dbLoadRecords("$(AREA_DETECTOR)/ADApp/Db/ADBase.template","P=x7ADSC1:,R=det1:,PORT=ADSC1,ADDR=0,TIMEOUT=1")
dbLoadRecords("$(AREA_DETECTOR)/ADApp/Db/adsc.template","P=x7ADSC1:,R=det1:,PORT=ADSC1,ADDR=0,TIMEOUT=1")
dbLoadRecords("$(AREA_DETECTOR)/ADApp/Db/NDFile.template","P=x7ADSC1:,R=det1:,PORT=ADSC1,ADDR=0,TIMEOUT=1")

#
# IMCA-CAT ADSC detector external software trigger PV interface extension
#
dbLoadRecords("$(IMCAADADSC)/imcaadadscApp/Db/imcaadadsc.db","P=x7ADSC1:,R=det1:")
